Subject: Re: [PATCH 2/2] t/t9802: explicitly name the upstream branch to use as a base

From: Pete Wyckoff <[email-masked]>
Date: Tue, 18 Jun 2013 09:42:07 -0400

[email-masked] wrote on Mon, 17 Jun 2013 18:40 -0700:
> From: Brandon Casey <[email-masked]>
> 
> Prior to commit fa83a33b, the 'git checkout' DWIMery would create a
> new local branch if the specified branch name did not exist and it
> matched exactly one ref in the "remotes" namespace.  It searched
> the "remotes" namespace for matching refs using a simple comparison
> of the trailing portion of the remote ref names.  This approach
> could sometimes produce false positives or negatives.
> 
> Since fa83a33b, the DWIMery more strictly excludes the remote name
> from the ref comparison by iterating through the remotes that are
> configured in the .gitconfig file.  This has the side-effect that
> any refs that exist in the "remotes" namespace, but do not match
> the destination side of any remote refspec, will not be used by
> the DWIMery.
> 
> This change in behavior breaks the tests in t9802 which relied on
> the old behavior of searching all refs in the remotes namespace,
> since the git-p4 script does not configure any remotes in the
> .gitconfig.  Let's work around this in these tests by explicitly
> naming the upstream branch to base the new local branch on when
> calling 'git checkout'.

Thanks for finding and fixing this.  Great explanation.  I
tested it locally too.

Acked-by: Pete Wyckoff <[email-masked]>

		-- Pete